mp3splt-gtk

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
splt_freedb_one_result Struct Reference

`#include <mp3splt.h>`

Collaboration diagram for splt_freedb_one_result:
[legend]

## Data Fields

int | id
char * | name
int | revision_number
int * | revisions

## Detailed Description

Defines one search result from the freedb search.

See Also
  splt_freedb_results
  mp3splt_get_freedb_search

Definition at line 74 of file mp3splt.h.

## Field Documentation

int splt_freedb_one_result::id

Unique identifier for this result.

Definition at line 82 of file mp3splt.h.

Referenced by freedb_search().

char* splt_freedb_one_result::name

Name of the album for this result.

Definition at line 78 of file mp3splt.h.

Referenced by freedb_search().

int splt_freedb_one_result::revision_number

How many revisions this result has.

If having revisions, the unique identifier for a revision is id + revision + 1, with 0 <= revision < revision_number

Definition at line 89 of file mp3splt.h.

Referenced by freedb_search().

int* splt_freedb_one_result::revisions

Contains the revisions of the result.

The revisions table contains revision_number elements, the consecutive numbers starting at 2 (you might not need it)

Definition at line 96 of file mp3splt.h.

Referenced by freedb_search().

The documentation for this struct was generated from the following file:

- mp3splt.h